Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.statcato.statistics.inferential
Class HypothesisTest1MeanSigmaKnown

    java.lang.Object
      org.statcato.statistics.inferential.HypothesisTest1MeanSigmaKnown

    public class HypothesisTest1MeanSigmaKnown

extends java.lang.Object

A hypothesis test for 1 population mean, population standard deviation known.

Since:
  1.0
Version:
  %I%, %G%
Author:
  Margaret Yau

Constructor Summary
`HypothesisTest1MeanSigmaKnown(int n, double mu, double sigma, double confidenceLevel, int testType)` Constructor.

Method Summary
`java.lang.String` | `criticalValue()` Returns the critical value corresponding to the given confidence level and type of test.
`double` | `pValue(double xBar)` Returns the p-value corresponding to xBar in a z distribution.
`double` | `testStatistics(double xBar)` Returns the test statistics for the given sample mean xBar.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HypothesisTest1MeanSigmaKnown

    public HypothesisTest1MeanSigmaKnown(int n,
                                         double mu,
                                         double sigma,
                                         double confidenceLevel,
                                         int testType)

  Constructor.

  Parameters:
    `n` - sample size
    `mu` - hypothesized mean
    `sigma` - population standard deviation
    `confidenceLevel` - confidence level
    `testType` - (as defined in `HypothesisTest`)

Method Detail

### testStatistics

    public double testStatistics(double xBar)

  Returns the test statistics for the given sample mean xBar.

  z = (xBar - mu) / (sigma / sqrt(n))

  Parameters:
    `xBar` - sample mean
  Returns:
    test statistic z score

### criticalValue

    public java.lang.String criticalValue()

  Returns the critical value corresponding to the given confidence level and type of test. Uses the z distribution.

  Returns:
    critical value
  See Also:
    `HypothesisTest`

### pValue

    public double pValue(double xBar)

  Returns the p-value corresponding to xBar in a z distribution.

  Parameters:
    `xBar` - x bar value
  Returns:
    p-value corresponding to xBar

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD